Bug 860997 - openbox should require redhat-menus?
openbox should require redhat-menus?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openbox (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 05:34 EDT by Jens Petersen
Modified: 2012-12-06 22:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-25 08:02:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-09-27 05:34:28 EDT
Description of problem:
Running openbox without redhat-menus installed causes the
the application menu to popup error dialogs...
Probably it would be better if openbox required redhat-menus?
Comment 1 Christoph Wickert 2012-09-27 05:46:05 EDT
Not sure about this, I was under the impression that redhat-menus is dead. All bugs I filed against it never got any attention and the source code is not available to the public. So before we make openbox depend on it, we should figure out what's up with redhat-menus.

Just my 2 ยข.
Comment 2 Jens Petersen 2012-09-27 22:04:15 EDT
Well not sure about deadline or its exact status but various
*-menus packages pull it in so I was assuming it is still
the basis of traditional Fedora desktop menus:

For F17:

$ repoquery -q --whatrequires redhat-menus | wc -l
34

and 25 for F18.

This includes highlevel packages like control-center, gnome-desktop,
kdelibs, and lxmenu-data, mate-desktop, and xfdesktop.

So I don't think it is quite dead yet. :)

While I agree it is unfortunate the project is not on fedorahosted say
and perhaps not a high priority for the Desktop team,
I can't see how it prevents openbox from using it
(well I think it actually needs it for its menus to work?).
Comment 3 Christoph Wickert 2012-09-28 12:06:02 EDT
(In reply to comment #2)
> Well not sure about deadline or its exact status but various
> *-menus packages pull it in so I was assuming it is still
> the basis of traditional Fedora desktop menus:
> 
> For F17:
> 
> $ repoquery -q --whatrequires redhat-menus | wc -l
> 34
> 
> and 25 for F18.
> 
> This includes highlevel packages like control-center, gnome-desktop,
> kdelibs, and lxmenu-data, mate-desktop, and xfdesktop.

I know, two of these are mine: xfdesktop and lxmenu-data. While working in xfdesktop if found a couple of bugs, e.g. menus from redhat-menus include stuff from gnome-menus - while it should be the exact opposite.

> So I don't think it is quite dead yet. :)

But it smells funny. ;)

I think we should rename it to system-menus (just like redhat-config-* became system-config-*) and move it to fedorahosted. I'll discuss this with the desktop team.

But this shouldn't be a blocker for this bug, I am going to work on it. The only question that comes to my mind: Does this justify an update for the stable releases?
Comment 4 Fedora Update System 2012-09-28 14:16:16 EDT
openbox-3.5.0-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openbox-3.5.0-8.fc18
Comment 5 Christoph Wickert 2012-09-28 14:21:24 EDT
Speak up if you want this update for a stable release, otherwise it will be closed automatically when the update for F18 gets pushed.
Comment 6 Fedora Update System 2012-09-28 21:36:45 EDT
Package openbox-3.5.0-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openbox-3.5.0-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15070/openbox-3.5.0-8.fc18
then log in and leave karma (feedback).
Comment 7 Jens Petersen 2012-09-30 05:16:49 EDT
Thanks!  system-menus sounds like a good idea. +1
Comment 8 Christoph Wickert 2012-10-25 08:02:53 EDT
Somehow bodhi forgot to close this one.
Comment 9 Fedora Update System 2012-11-13 11:43:30 EST
openbox-3.5.0-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openbox-3.5.0-9.fc17
Comment 10 Fedora Update System 2012-12-06 22:30:52 EST
openbox-3.5.0-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.